Bug 242492 - Kickstart installation from DVD image on harddrive fails
Kickstart installation from DVD image on harddrive fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 11:11 EDT by Andrew Edmunds
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.1.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 16:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for commands/method.py (684 bytes, patch)
2007-06-04 11:11 EDT, Andrew Edmunds
no flags Details | Diff

  None (edit)
Description Andrew Edmunds 2007-06-04 11:11:31 EDT
Description of problem:

I tried a kickstart installation of Fedora 7 using a DVD image on the hard disk.
 The first few lines of the ks.cfg file were as follows:

# Kickstart file automatically generated by anaconda.

install
harddrive --partition=sdb2 --dir=/upgrade/Fedora-7-i386
lang en_US.UTF-8
...etc...

Anaconda aborted with the following message:

The following error was found while parsing your kickstart configuration:
The following problem occurred on line 4 of the kickstart file:
One of biospart or partition options must be specified.

Attempting to open this ks.cfg file in system-config-kickstart gives the same error.

Line 4 is the "harddrive" command, but the syntax of this looks correct (as far
as I can tell).  I had a look at the parser code in pykickstart.  After applying
the following patch to commands/method.py, the file loaded OK in
system-config-kickstart.  I guess the same patch would allow a kickstart
installation to proceed, if it were applied to the installation media.

Version-Release number of selected component (if applicable):

pykickstart-1.1-1.fc7

How reproducible:

Always

Steps to Reproduce:
1. Create a kickstart ks.cfg file that includes the "harddrive" command
2. Launch a kickstart install using this file, or try to open it in
system-config-kickstart
  
Actual results:

Fails with the error message shown above.

Expected results:

Kickstart install should proceed.

Additional info:
Comment 1 Andrew Edmunds 2007-06-04 11:11:31 EDT
Created attachment 156083 [details]
Patch for commands/method.py
Comment 2 Chris Lumens 2007-06-04 11:44:26 EDT
Thanks for the patch.  This will be fixed in the next build of pykickstart.
Comment 3 Chris Lumens 2007-06-06 13:47:19 EDT
This bug is now addressed by an updates image.  It is available for download at:

    http://people.redhat.com/clumens/f7-updates.img

Instructions for using updates disks are located at:

    http://fedoraproject.org/wiki/Anaconda/Updates

If possible, please test this image out and report if it fixes your issue or
not.  Once we are confident that your issue is solved by this image, we are
going to announce it more publicly.  This fix may also be included in an updated
anaconda package later for people who are making custom Fedora distributions. 
Thanks for your time.
Comment 4 Andrew Edmunds 2007-06-07 20:45:11 EDT
Yes, a kickstart install of Fedora 7 from hard disk completes OK using this
updates disk.

I noticed some error messages on the screen just as anaconda was exiting at the
end of the install. The system rebooted before I could read them properly.  I
don't think they were there on an interactive install without the updates disk.
Sorry I can't be more precise - if I see them again I'll try to capture them. 
The installed OS looks fine, on a quick check over.
Comment 5 Fedora Update System 2007-06-08 11:54:18 EDT
pykickstart-1.1.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-06-20 16:04:52 EDT
pykickstart-1.1.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.